## ros-kinetic-generic-throttle 0.6.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(generic_throttle)

find_package(catkin REQUIRED COMPONENTS)

catkin_python_setup()

catkin_package()

catkin_install_python(PROGRAMS scripts/${PROJECT_NAME}_node.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-kinetic-generic-throttle (0.6.21-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-generic-throttle (0.6.20-2xenial) xenial; urgency=high

  * Merge pull request #294 <https://github.com/ipa320/cob_command_tools/issues/294> from fmessmer/fix_python3
    fix python3
  * fix python3
  * Merge pull request #291 <https://github.com/ipa320/cob_command_tools/issues/291> from fmessmer/fix_python3
    fix python3
  * Merge pull request #3 <https://github.com/ipa320/cob_command_tools/issues/3> from LoyVanBeek/fix_python3
    Get first key and value compatible with both Python 2 & 3
  * Get first key and value compatible with both Python 2 & 3
  * Contributors: Felix Messmer, Loy van Beek, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 24 Jan 2021 23:00:00 -0000

ros-kinetic-generic-throttle (0.6.19-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 01 Dec 2020 23:00:00 -0000

ros-kinetic-generic-throttle (0.6.18-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-kinetic-generic-throttle (0.6.17-2xenial) xenial; urgency=high

  * Merge pull request #284 <https://github.com/ipa320/cob_command_tools/issues/284> from fmessmer/test_noetic
    test noetic
  * use setuptools instead of distutils
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 16 Oct 2020 22:00:00 -0000

ros-kinetic-generic-throttle (0.6.16-2xenial) xenial; urgency=high

  * Merge pull request #270 <https://github.com/ipa320/cob_command_tools/issues/270> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * fix more pylint errors
  * fix pylint errors
  * Merge pull request #271 <https://github.com/ipa320/cob_command_tools/issues/271> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-generic-throttle (0.6.15-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-generic-throttle (0.6.14-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 06 Aug 2019 22:00:00 -0000

ros-kinetic-generic-throttle (0.6.13-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 18 Jul 2019 22:00:00 -0000

ros-kinetic-generic-throttle (0.6.12-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-kinetic-generic-throttle (0.6.11-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-generic-throttle (0.6.10-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-generic-throttle (0.6.9-2xenial) xenial; urgency=high

  * update maintainer
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-generic-throttle (0.6.8-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-generic-throttle (0.6.7-2xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #209 <https://github.com/ipa320/cob_command_tools/issues/209> from ipa-fxm/generic_throttle_private_param
    use private parameters for generic_throttle
  * use private parameters for generic_throttle
  * Merge pull request #197 <https://github.com/ipa320/cob_command_tools/issues/197> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Benjamin Maidel, Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-generic-throttle (0.6.6-2xenial) xenial; urgency=high

  * Change resolution factor to be a multiplicative factor and not a division.
    Handle resize to factor 0 as OpenCV error.
  * Change misleading resolution with resolution_factor
  * Add rostopic exec_depend
  * Remove cv_bridge build dependency
  * Update manifest and cmake list
  * Update README.md to resolution throttle.
  * Implement resolution throttle for sensor_msgs/Image.
  * Add @ipa-fmw as maintainer.
  * Add install tags for the executable node
  * Move throttle_node to script folder. Fix typos in README.
  * Update README
  * Rewrite lazy and latched behavior implementation
  * Adapt to new parameter definition layout. Parameters are now set in the node namespace.
    Throttled topics have "_throttled" appended to original topic name.
  * Add ROS node for the throttle separated from the GenericThrottle implementation
  * Implement lazy behavior. Lazy and Latched behavior are disabled by default
  * Remove delay feature. Add latched behaviour (True/False).
  * Remove build dependency on rospy
  * Remove CMakeLists.txt not needed depedencies.
  * Change package to format "2" and remove not needed dependencies
  * Update README
  * Moving the python package inside src/generic_throttle. Modifying accordingly CMakeLists.txt and package.xml.
  * remove testing files
  * introduce directory layer
  * Contributors: MattiaRacca

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-generic-throttle
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-generic-throttle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cv-bridge, ros-kinetic-rospy, ros-kinetic-rostopic
Description: This package provides a throttle for ROS topics

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-generic-throttle//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
